## sump-logicanalyzer 0.8

=== client/Makefile ===
all:
	jar cfm analyzer.jar \
		Manifest.txt \
		org/sump/analyzer/*.class \
		org/sump/analyzer/tools/*.class \
		org/sump/analyzer/icons/*.png \
		org/sump/util/*.class \

=== debian/changelog ===
sump-logicanalyzer (0.8-1) experimental; urgency=low

  * Initial release (Closes: #635459).

 -- Steffen Moeller <moeller@debian.org>  Mon, 25 Jul 2011 22:57:07 +0200

=== debian/control ===
Source: sump-logicanalyzer
Section: science
Priority: extra
Maintainer: Yannick Heinrich <yannick.heinrich@gmail.com>
Uploaders: Steffen Moeller <moeller@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: librxtx-java
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/pkg-escience/sumo-analyzer/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/pkg-escience/sumo-analyzer/trunk/
Homepage: http://www.sump.org/projects/analyzer/

Package: sump-logicanalyzer
Architecture: all
Depends: ${misc:Depends}, librxtx-java
Description: GUI controlling multiple logic analysers
 There are several logic analysers available for this software.  The
 package gained some recent fame with the advent of the Open Workbench
 Logic Sniffer, rendering logic analysers affordable to everyone.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	cd client && ant compile

override_dh_clean:
	cd client && ant clean
	dh_clean

override_dh_install:
	mkdir -p $(CURDIR)/debian/sump-logicanalyzer/usr/share/sump-logicanalyzer
	mkdir -p $(CURDIR)/debian/sump-logicanalyzer/usr/bin
	cp client/analyzer.jar $(CURDIR)/debian/sump-logicanalyzer/usr/share/sump-logicanalyzer/
	#cp -r client/org/sump/analyzer/icons $(CURDIR)/debian/sump-logicanalyzer/usr/share/sump-logicanalyzer/
	cp debian/logicanalyzer $(CURDIR)/debian/sump-logicanalyzer/usr/bin/
